Subject: Re: bug#39075: 28.0.50; Emacs hangs on 100% CPU and grows beyond bounds in shell-mode
From: Eli Zaretskii <[email-masked]>
To: Pieter van Oostrum <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 18 Jan 2020 11:57:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Pieter van Oostrum <[email-masked]>
> Date: Thu, 16 Jan 2020 20:21:37 +0100
> Cc: [email-masked]
> 
> Pieter van Oostrum <[email-masked]> writes:
> 
> > Michael Welsh Duggan <[email-masked]> writes:
> >
> >> This seems very similar to the bug I reported at bug#38549.  Could you
> >> see if this also fixes that recipe and, if so, merge the bugs?
> >>
> > Yes, the same fix solves that bug also. It is the same bug.
> 
> I propose to amend the test also, so that it would have caught this error (by hanging). I add both patches here now. I have tested that all other things worked the same and found no problems.

Thanks, pushed to the release branch.

> Is there an official procedure for requesting the change, or is posting it here sufficient?

It is sufficient to post here, but:

 . please in the future provide a ChangeLog-style commit log message
   (see CONTRIBUTE for more about this);
 . it looks like the disclaimer of your employer has expired several
   years ago, so if you want to continue contributing to Emacs, I
   suggest to start/renew your legal paperwork.